Freeciv-3.1: Choice_dialog_button Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes
Choice_dialog_button Class Reference

`#include <dialogs.h>`

Inheritance diagram for Choice_dialog_button:

## Public Member Functions

| Choice_dialog_button (const QString title, pfcn_void func_in, QVariant data1_in, QVariant data2_in)
pfcn_void | getFunc ()
QVariant | getData1 ()
QVariant | getData2 ()
void | setData1 (QVariant wariat)
void | setData2 (QVariant wariat)

## Private Attributes

pfcn_void | func
QVariant | data1
QVariant | data2

## Detailed Description

Definition at line 241 of file dialogs.h.

## Constructor & Destructor Documentation

## ◆ Choice_dialog_button()

Choice_dialog_button::Choice_dialog_button | ( | const QString | title,
|  | pfcn_void | func_in,
|  | QVariant | data1_in,
|  | QVariant | data2_in
| ) |  |

Constructor for choice_dialog_button_data

Definition at line 1315 of file dialogs.cpp.

## Member Function Documentation

## ◆ getData1()

QVariant Choice_dialog_button::getData1 | ( |  | ) |

Get the first piece of data to feed the function when the button is pressed.

Definition at line 1338 of file dialogs.cpp.

Referenced by choice_dialog::execute_action().

## ◆ getData2()

QVariant Choice_dialog_button::getData2 | ( |  | ) |

Get the second piece of data to feed the function when the button is pressed.

Definition at line 1347 of file dialogs.cpp.

Referenced by choice_dialog::execute_action().

## ◆ getFunc()

pfcn_void Choice_dialog_button::getFunc | ( |  | ) |

Get the function to call when the button is pressed.

Definition at line 1329 of file dialogs.cpp.

Referenced by choice_dialog::execute_action().

## ◆ setData1()

void Choice_dialog_button::setData1 | ( | QVariant | wariat | ) |

Sets the first piece of data

Definition at line 1355 of file dialogs.cpp.

Referenced by action_entry_update().

## ◆ setData2()

void Choice_dialog_button::setData2 | ( | QVariant | wariat | ) |

Sets the second piece of data

Definition at line 1363 of file dialogs.cpp.

Referenced by action_entry_update().

## Field Documentation

## ◆ data1

QVariant Choice_dialog_button::data1

private

Definition at line 245 of file dialogs.h.

Referenced by Choice_dialog_button(), getData1(), and setData1().

## ◆ data2

QVariant Choice_dialog_button::data2

private

Definition at line 245 of file dialogs.h.

Referenced by Choice_dialog_button(), getData2(), and setData2().

## ◆ func

pfcn_void Choice_dialog_button::func

private

Definition at line 244 of file dialogs.h.

Referenced by Choice_dialog_button(), and getFunc().